Extending Qt Creator Manual | DisplaySettings

Extending Qt Creator Manual 4.5.2

# DisplaySettings Class

(TextEditor::DisplaySettings)

- List of all members, including inherited members

## Public Functions

| DisplaySettings() = default
bool | equals(const DisplaySettings &ds) const
void | fromSettings(const QString &category, const QSettings *s)
void | toSettings(const QString &category, QSettings *s) const

## Static Public Members

QLabel * | createAnnotationSettingsLink()

## Member Function Documentation

### `[default]` DisplaySettings::DisplaySettings()

Default constructs an instance of DisplaySettings.

### `[static]` QLabel *DisplaySettings::createAnnotationSettingsLink()

### bool DisplaySettings::equals(const DisplaySettings &ds) const

### void DisplaySettings::fromSettings(const QString &category, const QSettings *s)

### void DisplaySettings::toSettings(const QString &category, QSettings *s) const